
Redmine - Feature #2873

i18n helper script

2009-03-01 21:41 - Enderson Maia

Status: Closed Start date: 2009-03-01

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

I suggest some i18n helpder script, so every translator could see what's missing a translation.

Or a script that make ethe addition of missing i18n vars to all other languages, with default english text.

History

#1 - 2009-03-01 23:07 - Enderson Maia

There's a rake task for it: rake locales:update

Like the description says:

$ rake -T locales

rake locales:update  # Updates language files based on en.yml content (only works for new top level keys).

 I'll update the patch I sent at #2872 to include the new vars to all languages.

#2 - 2009-03-03 20:29 - Enderson Maia

- Status changed from New to Resolved

- % Done changed from 0 to 100

The task rake locales:update do the job!

#3 - 2009-04-04 13:27 - Enderson Maia

Please, close this one.

#4 - 2009-04-04 17:13 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed
